package com.its.vds.stat.server.aspect;

public abstract class AbstractLoggingAspect {

    protected String padEnd(String input, int targetLength, char paddingChar) {
        StringBuilder sb = new StringBuilder(input);
        while (sb.length() < targetLength) {
            sb.append(paddingChar);
        }
        return sb.toString();
    }
    protected String typeString(String type) {
        final int targetLength = 8;
        if (type.length() >= targetLength) {
            return type; // 초과하면 그대로 반환
        }
        // 오른쪽에 부족한 길이만큼 paddingChar 추가
//        return String.format("%-" + targetLength + "s", type).replace(' ', '.');
//        return String.format("%-8s", type).replace(' ', '.');
        return padEnd(type, targetLength, '.'); // 왼쪽에 '.'으로 채움
    }

}
